#!/bin/python
#This script was authored by AndrewH7 and belongs to him (www.instructables.com/member/AndrewH7)
#You have permission to modify and use this script only for your own personal usage
#You do not have permission to redistribute this script as your own work
#Use this script at your own risk

import RPi.GPIO as GPIO
import os
import sound
import time

servo_pin = 11  # équivalent de GPIO 17
gpio_pin_number=7 #pin bouton off
gpio_pin_switch=8 #pin bouton inutile
#Replace YOUR_CHOSEN_GPIO_NUMBER_HERE with the GPIO pin number you wish to use
#Make sure you know which rapsberry pi revision you are using first
#The line should look something like this e.g. "gpio_pin_number=7"

GPIO.setmode(GPIO.BOARD)
#Use BCM pin numbering (i.e. the GPIO number, not pin number)
#WARNING: this will change between Pi versions
#Check yours first and adjust accordingly

GPIO.setup(servo_pin, GPIO.OUT)  # pin configurée en sortie
GPIO.setup(gpio_pin_number, GPIO.IN, pull_up_down=GPIO.PUD_UP)
GPIO.setup(gpio_pin_switch, GPIO.IN, pull_up_down=GPIO.PUD_UP)
#It's very important the pin is an input to avoid short-circuits
#The pull-up resistor means the pin is high by default

pwm = GPIO.PWM(servo_pin, 50)  # pwm à une fréquence de 50 Hz
pwm.start(3) 
while True:
    if(!GPIO.input(gpio_pin_number)):
        os.system("sudo shutdown -h now")

    if(!GPIO.input(gpio_pin_switch)):
        sound.playsound()
        pwm.ChangeDutyCycle(9)
        time.sleep(random.uniform(0, 2))
        pwm.ChangeDutyCycle(10.7)
        time.sleep(0.1)
        sound.stopsound()
        pwm.ChangeDutyCycle(3)

        
        
        

    





























GPIO.cleanup()
#Revert all GPIO pins to their normal states (i.e. input = safe)
